Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd
Class RuleViolation

    java.lang.Object
      net.sourceforge.pmd.RuleViolation

All Implemented Interfaces:
  IRuleViolation

Direct Known Subclasses:
  DaaRuleViolation

    public class RuleViolation

extends java.lang.Object
implements IRuleViolation

Nested Class Summary
`static class` | `RuleViolation.RuleViolationComparator`

Constructor Summary
`RuleViolation(Rule rule, RuleContext ctx, SimpleNode node)`
`RuleViolation(Rule rule, RuleContext ctx, SimpleNode node, java.lang.String specificMsg)`

Method Summary
`int` | `getBeginColumn()`
`int` | `getBeginLine()`
`java.lang.String` | `getClassName()`
`java.lang.String` | `getDescription()`
`int` | `getEndColumn()`
`int` | `getEndLine()`
`java.lang.String` | `getFilename()`
`java.lang.String` | `getMethodName()`
`java.lang.String` | `getPackageName()`
`Rule` | `getRule()`
`java.lang.String` | `getVariableName()`
`boolean` | `isSuppressed()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuleViolation

    public RuleViolation(Rule rule,
                         RuleContext ctx,
                         SimpleNode node)

### RuleViolation

    public RuleViolation(Rule rule,
                         RuleContext ctx,
                         SimpleNode node,
                         java.lang.String specificMsg)

Method Detail

### getRule

    public Rule getRule()

  Specified by:
    `getRule` in interface `IRuleViolation`

### isSuppressed

    public boolean isSuppressed()

  Specified by:
    `isSuppressed` in interface `IRuleViolation`

### getBeginColumn

    public int getBeginColumn()

  Specified by:
    `getBeginColumn` in interface `IRuleViolation`

### getEndColumn

    public int getEndColumn()

  Specified by:
    `getEndColumn` in interface `IRuleViolation`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `IRuleViolation`

### getFilename

    public java.lang.String getFilename()

  Specified by:
    `getFilename` in interface `IRuleViolation`

### getClassName

    public java.lang.String getClassName()

  Specified by:
    `getClassName` in interface `IRuleViolation`

### getMethodName

    public java.lang.String getMethodName()

  Specified by:
    `getMethodName` in interface `IRuleViolation`

### getPackageName

    public java.lang.String getPackageName()

  Specified by:
    `getPackageName` in interface `IRuleViolation`

### getBeginLine

    public int getBeginLine()

  Specified by:
    `getBeginLine` in interface `IRuleViolation`

### getEndLine

    public int getEndLine()

  Specified by:
    `getEndLine` in interface `IRuleViolation`

### getVariableName

    public java.lang.String getVariableName()

  Specified by:
    `getVariableName` in interface `IRuleViolation`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.